﻿@model EmailViewModel


<div class="content-wrapper">
    <textarea readonly style="background-color:ivory;">@if (Model.EmailBodyContent != null)
        {
            @Html.Raw(@Model.EmailBodyContent)
        }
    </textarea>

    @if (Model.Attachments.Count > 0)
    {
        foreach (var attachment in Model.Attachments)
        {
            <div><img src="/images/paperclip-vector-paper-clamp-3.png" style="width:18px" />: @attachment.FileName, Size: @attachment.Size bytes</div>
        }
    }

    @if (Model.EmailStatusType == "NotReviewed")
    {
        <button type="button" class="btn btn-success" id="New" data-dismiss="modal">New</button>
        <button type="submit" class="btn btn-success" id="NotValid" data-dismiss="modal">Not Valid</button>

    }

    @if (Model.EmailStatusType == "NotValid" && User.IsInRole("Manager"))
    {
        <button type="submit" class="btn btn-success" id="NotReviewed" data-dismiss="modal">Not Reviewed</button>
    }

    @if (Model.EmailStatusType == "New")
    {

        if (User.IsInRole("Manager"))
        {
            <button type="submit" class="btn btn-success" id="NotReviewed" data-dismiss="modal">NotReviewed</button>
        }

        <button type="submit" class="btn btn-success" id="Open" data-dismiss="modal">Open</button>
    }

    @if (Model.EmailStatusType == "Open")
    {
        if (User.IsInRole("Manager"))
        {
            <button type="submit" class="btn btn-success" id="New" data-dismiss="modal">New</button>
        }

        <button type="submit" class="btn btn-success" id="Closed" data-dismiss="modal">Closed</button>
    }

    @if (Model.EmailStatusType == "Closed" && User.IsInRole("Manager"))
    {
        <button type="submit" class="btn btn-success" id="New" data-dismiss="modal">New</button>
    }
</div>


<style>
    .content-wrapper textarea {
        width: 100%;
        height: calc(100vh - 320px);
        resize: none;
    }
</style>

<script>
    $(function () {
        $('#NotReviewed').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/Email/ChangeStatusToNotReviewedAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });
</script>

<script>
    $(function () {
        $('#NotValid').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/Email/ChangeStatusToNotValidAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });
</script>

<script>
    $(function () {
        $('#New').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/Email/ChangeStatusToNewAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });
</script>


<script>
    $(function () {
        $('#Open').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/Email/ChangeStatusToOpenAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });
</script>

<script>
    $(function () {
        $('#Closed').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/Email/ChangeStatusToClosedAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });
</script>

